Vcenter Compute Policies create
Creates a new compute policy.
This operation was added in vSphere API 7.0.3.0.
Returns an authorization error if you do not have all of the privileges described as follows:
- Operation execution requires
ComputePolicy.Manage.
Specification for the new policy to be created. The new policy will be an instance of the capability that has the creation type (see Vcenter Compute Policies Capabilities Info.create_spec_type) equal to the type of the specified value (see spec).
The parameter must contain all the properties defined in Vcenter Compute Policies CreateSpec.
Show optional properties
{
"capability": "string",
"name": "string",
"description": "string"
}
{
"capability": "string",
"name": "string",
"description": "string",
"managed_by": {
"entity": "string"
}
}
Identifier of the capability this policy is based on.
This property was added in vSphere API 7.0.3.0.
if missing or null, then the name of capability schema will be used to distinguish the policy type.
When clients pass a value of this schema as a parameter, the property must be an identifier for the resource type: com.vmware.vcenter.compute.policies.Capability. When operations return a value of this schema as a response, the property will be an identifier for the resource type: com.vmware.vcenter.compute.policies.Capability.
Name of the policy. The name needs to be unique within this vCenter server.
This property was added in vSphere API 7.0.3.0.
Description of the policy.
This property was added in vSphere API 7.0.3.0.
Information about the entity that manages this policy.
This property identifies which entity is responsible for managing the policy and can influence operations such as delete. If missing or null, the policy is not managed by any specific entity. Any user with ComputePolicy.Manage privilege can manage the policy.
This property was added in vSphere API 9.1.0.0.
This property is optional because it was added in a newer version than its parent node.
The identifier of the newly created policy. Use this identifier to get or destroy the policy.
The response will be an identifier for the resource type: com.vmware.vcenter.compute.Policy.
Vapi Std Errors AlreadyExists if a policy with the same name is already present on this vCenter server.
Vapi Std Errors InvalidArgument if a parameter passed in the spec is invalid.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": {
"id": "string",
"params": {
"params": "Vapi Std LocalizationParam Object"
}
},
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
Stack of one or more localizable messages for human error consumers.
The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.
Each subsequent message in the stack describes the "cause" of the prior message.
Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.
Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.
The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.
Some operations will not set this property when reporting errors.
Discriminator field to help API consumers identify the structure type.
For more information see: Vapi Std Errors Error Type.
This property was added in vSphere API 6.7.2.
Can be missing or null for compatibility with preceding implementations.
if the user doesn't have the required privileges.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string",
"challenge": "string"
}
Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.
For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"
This property was added in vSphere API 9.1.0.0.
This property is optional because it was added in a newer version than its parent node.
if more than 100 policies are created.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"capability":"string","description":"string","name":"string"}' https://{api_host}/api/vcenter/compute/policies